From 1df119cfa105383a0e047a68602b3a9dc4f81c3c Mon Sep 17 00:00:00 2001
From: Jin Chen-Xin <cx.jin@cn.digi-group.com>
Date: Wed, 13 Jan 2021 14:09:07 +0800
Subject: [PATCH] drivers: add new VID/PID for supporting Teraoka AD2000

Teraoka AD2000 uses the CP210x driver, but the chip VID/PID is
customized with 0988/0578. We need the driver to support the new VID/PID.

Signed-off-by: Jin Chen-Xin <cx.jin@cn.digi-group.com>
---
 drivers/usb/serial/cp210x.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/usb/serial/cp210x.c b/drivers/usb/serial/cp210x.c
index fbb10df..c274cc3 100644
--- a/drivers/usb/serial/cp210x.c
+++ b/drivers/usb/serial/cp210x.c
@@ -234,6 +234,7 @@ static int cp210x_tiocmset_port(struct usb_serial_port *port,
 	{ USB_DEVICE(0x3195, 0xF281) }, /* Link Instruments MSO-28 */
 	{ USB_DEVICE(0x3923, 0x7A0B) }, /* National Instruments USB Serial Console */
 	{ USB_DEVICE(0x413C, 0x9500) }, /* DW700 GPS USB interface */
+	{ USB_DEVICE(0x0988, 0x0578) }, /* Teraoka AD2000 */
 	{ } /* Terminating Entry */
 };
 
-- 
1.8.3.1

